### 5.1.91 minbase

`Syntax:`
  `minbase (` ideal_expression `)`
  `minbase (` module_expression `)`
`Type:`
  the same as the type of the argument
`Purpose:`
  returns a minimal set of generators of an ideal, resp. module, if the input is either homogeneous or if the ordering is local.
`Note:`
  this command is not available over coefficient rings.
`Example:`

        ring r=181,(x,y,z),(c,ls);
        ideal id2=x2+xyz,y2-z3y,z3+y5xz;
        ideal id4=maxideal(3)+id2;
        size(id4);
      ==> 13
        minbase(id4);
      ==> _[1]=x2
      ==> _[2]=xyz+x2
      ==> _[3]=xz2
      ==> _[4]=y2
      ==> _[5]=yz2
      ==> _[6]=z3

See mstd.

User manual for Singular version 4.4.1, 2025, generated by texi2html.